org.eclipse.jdt.core.refactoring.descriptors

## Class ExtractClassDescriptor.Field

- java.lang.Object
- - org.eclipse.jdt.core.refactoring.descriptors.ExtractClassDescriptor.Field

Enclosing class:
  ExtractClassDescriptor

    public static class ExtractClassDescriptor.Field
    extends Object

Instances of `ExtractClassDescriptor.Field` describe which fields will be moved to the extracted class and their new name there.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getFieldName()` The name of the field in the selected type
`String` `getNewFieldName()` The name of the field in the extracted class.
`int` `hashCode()`
`boolean` `isCreateField()` Returns whether the field will be moved to extracted class.
`void` `setCreateField(boolean createField)` Sets whether the field will be moved to extracted class.
`void` `setNewFieldName(String newFieldName)` Sets the name of the field in the extracted class.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFieldName

    public String getFieldName()

The name of the field in the selected type

Returns:
  the name of the field in the selected type

#### getNewFieldName

    public String getNewFieldName()

The name of the field in the extracted class. The default is the same as in the selected type

Returns:
  the name of the field in the extracted class

#### setNewFieldName

    public void setNewFieldName(String newFieldName)

Sets the name of the field in the extracted class. The default is the same as in the selected type

Parameters:
  `newFieldName` - the new field name. Must not be `null`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isCreateField

    public boolean isCreateField()

Returns whether the field will be moved to extracted class. The default is `true`

Returns:
  `true` if the field will be moved

#### setCreateField

    public void setCreateField(boolean createField)

Sets whether the field will be moved to extracted class. The default is `true`

Parameters:
  `createField` - if `true` the field will be moved